include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/src
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### drawparts (static)

tde_add_library( drawparts STATIC_PIC AUTOMOC

  SOURCES
        drawpart.cpp
        dpline.cpp
        solidshape.cpp
        dptext.cpp
)
